* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
html,
body {
  background: #ffad85;
}
.hidden {
  overflow: hidden;
}
.weekendIndex {
  width: 100%;
  background: #ffad85 url("../img/week-bg.png") no-repeat;
  background-size: 100%;
  padding: 4.23rem 0.24rem 0;
  position: relative;
}
.right-btn {
  width: 1.2rem;
  height: 0.42rem;
  background: rgba(0, 0, 0, 0.35);
  border-radius: 0.21rem;
  font-size: 0.22rem;
  color: #ffffff;
  text-align: center;
  line-height: 0.42rem;
  position: absolute;
  top: 0.4rem;
  right: 0.2rem;
}
.help-btn {
  top: 1rem;
}
.floor1 {
  margin-bottom: 0.2rem;
}
.floor1 .head {
  width: 100%;
  height: 1.38rem;
  background: url("../img/week-floor1-head.png") no-repeat;
  background-size: 100% 100%;
  padding-top: 0.85rem;
}
.floor2 .head {
  background: url("../img/week-floor2-head.png") no-repeat;
  background-size: 100% 100%;
}
.floor1 .head .tip {
  width: 2.8rem;
  height: 0.34rem;
  background: rgba(255, 98, 41, 0.6);
  border-radius: 0.17rem;
  margin: 0 auto;
  font-size: 0.22rem;
  color: #ffffff;
  line-height: 0.34rem;
  text-align: center;
}
.floor2 .head .tip {
  width: 3.46rem;
}
.floor1 .con {
  width: calc(100% - 0.2rem);
  background: linear-gradient(180deg, #ffe1d1 0%, #ffd2b9 100%);
  box-shadow: 0rem 0.05rem 0.1rem 0rem rgba(255, 79, 0, 0.2);
  border-radius: 0rem 0rem 0.2rem 0.2rem;
  margin: 0 auto;
  padding: 0.15rem;
}
.floor1 .con .tab-btns {
  width: 5.62rem;
  height: 0.67rem;
  background: url("../img/week-tab-bg.png") no-repeat;
  background-size: 100% 100%;
  margin: 0 auto 0.35rem;
  padding: 0.06rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.floor1 .tab-btns .btn {
  width: 2.75rem;
  height: 0.54rem;
  font-weight: 500;
  font-size: 0.28rem;
  color: #ffffff;
  line-height: 0.54rem;
  text-shadow: 0px 0px 0px rgba(205, 47, 0, 0.5);
  text-align: center;
}
.floor1 .tab-btns .btn.clicked {
  background: url("../img/week-tab-btn.png") no-repeat;
  background-size: 100% 100%;
  color: #a14200;
  text-shadow: none;
}
.floor1 .line-bg {
  width: 100%;
  background: rgba(255, 255, 255, 0.9);
  box-shadow: 0rem 0.02rem 0.06rem 0rem rgba(255, 99, 29, 0.3);
  border-radius: 0.12rem;
  padding: 0.2rem 0.3rem;
}
.floor1 .coupon-bg {
  width: 5.92rem;
  height: 1.56rem;
  background: url("../img/week-coupon-bg.png") no-repeat;
  background-size: 100% 100%;
  position: relative;
  padding: 0 0.34rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 0.2rem;
}
.floor1 .coupon-bg2 {
  background: url("../img/week-coupon-bg2.png") no-repeat;
  background-size: 100% 100%;
}
.floor1 .coupon-bg:last-child {
  margin-bottom: 0;
}
.floor1 .coupon-bg .sub {
  width: 1.02rem;
  height: 0.26rem;
  background: url("../img/week-coupon-sub.png") no-repeat;
  background-size: 100% 100%;
  position: absolute;
  left: 0;
  top: 0;
  font-size: 0.16rem;
  color: #ffffff;
  text-align: center;
  line-height: 0.26rem;
}
.floor1 .coupon-bg .left {
  display: flex;
  align-items: center;
}
.floor1 .coupon-bg .left > img {
  width: 1rem;
  height: 1rem;
  margin-right: 0.19rem;
}
.floor1 .coupon-bg .left .text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #5c2312;
}
.floor1 .coupon-bg2 .left .text {
  color: #12345c;
}
.floor1 .coupon-bg .left .text .p1 {
  font-weight: 600;
  font-size: 0.28rem;
  line-height: 0.4rem;
}
.floor1 .coupon-bg .left .text .p2 {
  font-size: 0.18rem;
  line-height: 0.25rem;
}
.floor1 .coupon-bg .right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.floor1 .coupon-bg .right .single-btn {
  width: 1.06rem;
  height: 1.06rem;
}
.floor1 .coupon-bg .right .single-btn > img {
  width: 100%;
  height: 100%;
}
.floor1 .coupon-bg .right .invite-box .btn {
  width: 1.27rem;
  height: 0.42rem;
  background: url("../img/week-btn1.png") no-repeat;
  background-size: 100% 100%;
}
.floor1 .coupon-bg .right .invite-box .bar {
  width: 1.27rem;
  height: 0.08rem;
  background: #ffd2b9;
  border-radius: 0.04rem;
  margin: 0.1rem 0 0.08rem;
  position: relative;
}
.floor1 .coupon-bg .right .invite-box .bar .bar-inner {
  height: 0.08rem;
  background: #ff8745;
  border-radius: 0.04rem;
  position: absolute;
  left: 0;
  top: 0;
}
.floor1 .coupon-bg .right .invite-box .need {
  font-size: 0.18rem;
  color: #ff640e;
  text-align: center;
}
.floor1 .coupon-bg .right .invite-box .progress {
  font-size: 0.16rem;
  color: #ff640e;
  position: absolute;
  bottom: 0;
  right: 0.69rem;
}
.bottom-tip {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0.7rem;
  background: rgba(0, 0, 0, 0.5);
  text-align: center;
  line-height: 0.7rem;
  font-size: 0.28rem;
  color: #ffffff;
}
.bottom-tip > span {
  color: #ffed91;
}
.mc {
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  position: fixed;
  left: 0;
  top: 0;
  z-index: 5;
  display: none;
}
.pop-bg {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.rules-bg {
  width: 6.4rem;
  height: 13.65rem;
  background: url("../img/week-pop-bg1.png") no-repeat;
  background-size: 100%;
  padding: 1.8rem 0.65rem 0.59rem;
  font-size: 0.22rem;
  color: #7e3400;
}
.rules-bg .rules-con {
  max-height: 11.26rem;
  overflow-y: scroll;
}
.success-bg {
  width: 6rem;
  height: 6rem;
  background: url("../img/week-pop-bg2.png") no-repeat;
  background-size: 100% 100%;
  padding: 1.44rem 0.55rem 0;
  text-align: center;
  color: #983e00;
}
.success-bg .icon {
  margin: 0 auto;
}
.success-bg .icon > img {
  width: 1.6rem;
  height: 1.6rem;
}
.success-bg .icon > p {
  font-weight: 600;
  font-size: 0.36rem;
  color: #21ce95;
}
.success-bg .coupon {
  margin: 0.2rem 0 0.1rem;
  font-weight: 500;
  font-size: 0.28rem;
}
.success-bg .tip {
  font-size: 0.26rem;
  margin-bottom: 0.4rem;
}
.success-bg .btns {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.success-bg .btns > div {
  width: 2.16rem;
  height: 0.78rem;
  font-weight: 500;
  font-size: 0.3rem;
  color: #ffffff;
  text-align: center;
  text-shadow: 0px 0px 0px rgba(224, 71, 0, 0.4);
  line-height: 0.78rem;
}
.success-bg .btns > div:nth-child(1) {
  background: url("../img/week-pop-btn1.png") no-repeat;
  background-size: 100% 100%;
}
.success-bg .btns > div:nth-child(2) {
  background: url("../img/week-pop-btn2.png") no-repeat;
  background-size: 100% 100%;
}
.help-bg {
  height: 6.5rem;
  background: url("../img/week-pop-bg3.png") no-repeat;
  background-size: 100% 100%;
  padding: 1.55rem 0.55rem 0;
}
.help-bg .coupon {
  margin: 0.2rem 0 0.37rem;
}
.help-bg .btn {
  width: 3.76rem;
  height: 0.78rem;
  background: url("../img/week-pop-btn4.png") no-repeat;
  background-size: 100% 100%;
  margin: 0 auto;
  font-weight: 500;
  font-size: 0.3rem;
  color: #ffffff;
  text-shadow: 0px 0px 0px rgba(224, 71, 0, 0.4);
  line-height: 0.78rem;
}
.help-new-bg {
  height: 8.55rem;
  background: url("../img/week-pop-bg4.png") no-repeat;
  background-size: 100% 100%;
}
.help-new-bg .btn {
  background: url("../img/week-pop-btn5.png") no-repeat;
  background-size: 100% 100%;
}
.help-new-bg .new .text {
  width: 4.5rem;
  padding: 0.11rem 0;
  background: rgba(255, 98, 41, 0.15);
  border-radius: 0.1rem;
  text-align: center;
  margin: 0.4rem auto 0.2rem;
}
.help-new-bg .new .btn {
  background: url("../img/week-pop-btn4.png") no-repeat;
  background-size: 100% 100%;
}
.close-btn {
  width: 0.9rem;
  height: 0.9rem;
  background: url("../img/week-pop-btn3.png") no-repeat;
  background-size: 100% 100%;
  margin: 0.42rem auto 0;
}
.share-bg {
  width: 6.2rem;
  height: 7.65rem;
  /* background: url("../img/week-share-bg.png") no-repeat;
  background-size: 100% 100%; */
  position: relative;
}
.erweima_box {
    width: 1.7rem;
    height: 1.7rem;
    background: #ffffff;
    border-radius: .16rem;
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    top: 5.55rem;
    z-index: 4;
}

.share_bg_img{
    width: 6.2rem;
    height: 7.65rem;
}
.share-bottom {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
}
.share-bottom .share-btns {
  padding: 0.19rem 0 0.1rem;
  background: #f5f5f5;
  display: flex;
  align-items: center;
  justify-content: space-around;
  font-size: 0.22rem;
  color: #333333;
}
.share-bottom .share-btns .btn {
  width: 1rem;
  text-align: center;
}
.share-bottom .share-btns .btn .img-bg {
  width: 1rem;
  height: 1rem;
  background: #ffffff;
  box-shadow: 0rem 0.08rem 0.15rem -0.04rem rgba(0, 0, 0, 0.06);
  border-radius: 0.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 0.1rem;
}
.share-bottom .share-btns .btn .img-bg > img {
  width: 0.6rem;
  height: 0.6rem;
}
.share-bottom .share-close {
  width: 100%;
  height: 0.8rem;
  background: #ffffff;
  text-align: center;
  line-height: 0.8rem;
  font-weight: 500;
  font-size: 0.28rem;
  color: #333333;
}
.adv{
    width: 4.8rem;
    height: 1.8rem;
    margin: .5rem auto;
}
.float-area{
  width: 2rem;
  height: 2rem;
  position: fixed;
  top: 42%;
  right: 0.1rem;
  z-index: 9;
  
}
.float-area img {
  width: 100%;
}
